Package com.sas.services.information.publicobject

# Interface TransportProcessorInterface

All Superinterfaces:
  com.sas.services.information.publicobject.ProcessorInterface, `Remote`

public interface TransportProcessorInterface extends ProcessorInterface
TransportProcessorInterface is used to define the actions/processes used to move or change locational information about an object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  The name of this interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy()`
  Copy this object to a new instance.
  `void`
  `delete()`
  Delete an object from the system.
  `void`
  `exportObject()`
  Export this object from the system.
  `void`
  `importObject()`
  Import this objet into the system.
  `void`
  `move(PublicObjectContainerInterface target)`
  Move this object to a new location.
  `void`
  `paste()`
  Insert a new instance of an object.
  `void`
  `rename(String newName)`
  Give this object a new unique name.

  ### Methods inherited from interface com.sas.services.information.publicobject.ProcessorInterface

  `destroy, getPublicObject`

- ## Field Details

  - ### NAME

    static final String NAME
    The name of this interface.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### delete

    void delete() throws ServiceException, RemoteException
    Delete an object from the system.
    Throws:
      `ServiceException`
      `RemoteException`

  - ### rename

    void rename(String newName) throws ServiceException, RemoteException
    Give this object a new unique name.
    Parameters:
      `newName` -
    Throws:
      `ServiceException`
      `RemoteException`

  - ### move

    void move(PublicObjectContainerInterface target) throws ServiceException, RemoteException
    Move this object to a new location.
    Parameters:
      `target` -
    Throws:
      `ServiceException`
      `RemoteException`

  - ### exportObject

    void exportObject() throws ServiceException, RemoteException
    Export this object from the system.
    Throws:
      `ServiceException`
      `RemoteException`

  - ### importObject

    void importObject() throws ServiceException, RemoteException
    Import this objet into the system.
    Throws:
      `ServiceException`
      `RemoteException`

  - ### copy

    void copy() throws ServiceException, RemoteException
    Copy this object to a new instance.
    Throws:
      `ServiceException`
      `RemoteException`

  - ### paste

    void paste() throws ServiceException, RemoteException
    Insert a new instance of an object.
    Throws:
      `ServiceException`
      `RemoteException`